# libtrio

Trio is a fully matured and stable set of printf and string functions designed be used by applications with focus on portability or with the need for
additional features that are not supported by standard stdio implementation.
There are several cases where you may want to consider using trio:
* Portability across heterogeneous platforms.
* Embedded systems without stdio support.
* Extendability of unsupported features.
* Your native version doesn't do everything you need.
Trio fully implements the C99 (ISO/IEC 9899:1999) and UNIX98) standards, as well as many features from other implemenations, e.g. the GNU libc and BSD4.

